/* global describe, it, expect */
import React from 'react';
import { shallow, mount } from 'enzyme';
import { wrapRouter } from '../../src/router';
import { MemoryRouter, Route, Redirect } from 'react-router';

var TestComponent = React.createClass({
  componentDidMount: function () {
  },
  render: function () {
    return React.createElement('div');
  }
});


describe('pacth router', () => {

  var routes = [
    React.createElement(Route, {path: '/', key: '0'}),
    React.createElement(Route, {path: '/login', component: TestComponent, key: '1'})
  ];

  it('should capture router change when mounted', () => {
    const myMock = jest.fn();

    let MetricsRouter = wrapRouter(MemoryRouter, myMock);
    let tree = React.createElement(MetricsRouter, routes);
    let treeWrapper = mount(tree);

    expect(myMock.mock.calls.length).toBe(1);
  });
});